/**********************************************************************
 * File: context.h
 * Version: 0.1
 * Project: 
 * Created: jan 10
 * Last modified:
 *
 * Comment:
 *
 *
 *
 * Author: Jens-Christian Lache
 * Fachbereich: TI3 Technische Informatik
 * Prof. Dr. Thomas Teufel
 * http://www.ti3.tu-harburg.de/deutsch/
 **********************************************************************/
#ifndef _CONTEXT_H
#define _CONTEXT_H

#include "task.h"
#include "sched.h"
#include "mutex.h"

//struct Context
//{
//    int     IP;  // instr point
//    int     CS;  // code seg
//    int     Flags;    
//    int     SP; // stack pointer
//    int     SS; // stack seg 
//    int     SI; // source index
//    int     DS; // destination index
//};


void contextInit(Context * context, void (*run)(Task *), Task * task, int * pStackTop);
void contextSwitch(Context * pOldContext, Context * pNewContext);

#endif // _CONTEXT_H
